osgVolume::MultipassTechnique::MultipassTileData Struct Reference

`#include <MultipassTechnique>`

Inheritance diagram for osgVolume::MultipassTechnique::MultipassTileData:

## Public Member Functions

| MultipassTileData (osgUtil::CullVisitor *cv, MultipassTechnique *mpt)
virtual void | update (osgUtil::CullVisitor *cv)
void | setUp (osg::ref_ptr< osg::Camera > &camera, osg::ref_ptr< osg::Texture2D > &texture2D, int width, int height)
Public Member Functions inherited from osgVolume::TileData
| TileData ()
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Public Attributes

osg::observer_ptr< MultipassTechnique > | multipassTechnique
RenderingMode | currentRenderingMode
osg::ref_ptr< osg::Texture2D > | frontFaceDepthTexture
osg::ref_ptr< osg::Camera > | frontFaceRttCamera
osg::ref_ptr< osg::Texture2D > | backFaceDepthTexture
osg::ref_ptr< osg::Camera > | backFaceRttCamera
osg::ref_ptr< osg::Uniform > | eyeToTileUniform
osg::ref_ptr< osg::Uniform > | tileToImageUniform
Public Attributes inherited from osgVolume::TileData
bool | active
osg::NodePath | nodePath
osg::ref_ptr< osg::RefMatrix > | projectionMatrix
osg::ref_ptr< osg::RefMatrix > | modelviewMatrix
osg::ref_ptr< osg::StateSet > | stateset

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Detailed Description

Container for render to texture objects used when doing multi-pass volume rendering techniques.

## Constructor & Destructor Documentation

## MultipassTileData()

osgVolume::MultipassTechnique::MultipassTileData::MultipassTileData | ( | osgUtil::CullVisitor * | cv,
|  | MultipassTechnique * | mpt )

References osgVolume::MultipassTechnique::MultipassTechnique().

## Member Function Documentation

## setUp()

void osgVolume::MultipassTechnique::MultipassTileData::setUp | ( | osg::ref_ptr< osg::Camera > & | camera,
|  | osg::ref_ptr< osg::Texture2D > & | texture2D,
|  | int | width,
|  | int | height )

## update()

virtual void osgVolume::MultipassTechnique::MultipassTileData::update | ( | osgUtil::CullVisitor * | cv | ) |

virtual

Implements osgVolume::TileData.

## Member Data Documentation

## backFaceDepthTexture

osg::ref_ptr<osg::Texture2D> osgVolume::MultipassTechnique::MultipassTileData::backFaceDepthTexture

## backFaceRttCamera

osg::ref_ptr<osg::Camera> osgVolume::MultipassTechnique::MultipassTileData::backFaceRttCamera

## currentRenderingMode

RenderingMode osgVolume::MultipassTechnique::MultipassTileData::currentRenderingMode

## eyeToTileUniform

osg::ref_ptr<osg::Uniform> osgVolume::MultipassTechnique::MultipassTileData::eyeToTileUniform

## frontFaceDepthTexture

osg::ref_ptr<osg::Texture2D> osgVolume::MultipassTechnique::MultipassTileData::frontFaceDepthTexture

## frontFaceRttCamera

osg::ref_ptr<osg::Camera> osgVolume::MultipassTechnique::MultipassTileData::frontFaceRttCamera

## multipassTechnique

osg::observer_ptr<MultipassTechnique> osgVolume::MultipassTechnique::MultipassTileData::multipassTechnique

## tileToImageUniform

osg::ref_ptr<osg::Uniform> osgVolume::MultipassTechnique::MultipassTileData::tileToImageUniform

The documentation for this struct was generated from the following file:

- MultipassTechnique